@media (max-width: 767px) {
    .is-style-front-page-text {
        font-size: 22px;
        font-weight: 400;
        line-height: 28px;
        letter-spacing: 0%;
    }

    .is-style-front-page-main-headline {
        font-size: 54px;
        font-weight: 900;
        line-height: 52px;
        letter-spacing: 0%;
    }

    .is-style-front-page-main-sub-headline {
        font-size: 19px;
        font-weight: 700;
        line-height: 22px;
        letter-spacing: 0%;
    }

    .is-style-front-page-headline-mid {
        font-size: 32px;
        font-weight: 900;
        line-height: 34px;
        letter-spacing: 0%;
    }


    /* #front-page-logo-group {
        width: 90%;
        position: relative;
        left: 50%;
        transform: translate(-50%, 0);
    } */

    /* Top Logo and Text */
    #front-page-group-1 {
        padding: 10px;
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 20px;
    }

    #front-page-group-1 > :nth-child(1) {
        flex: 2;
    }

    #front-page-group-1 > :nth-child(2) {
        flex: 3;
    }


    /* Group 1 and Video Group */
    #front-page-group-2 {
        display: flex;
        flex-direction: column;
        /* max-width: 80%; */
        justify-content: center;
        gap: 40px;
        margin-bottom: 80px;
    }


    /* Group 3 - Logo and Text */
    #front-page-group-3 {
        display: grid;
        grid-template-columns: 1fr 3fr;
        grid-template-rows: auto auto;
        gap: 1rem;
        padding: 10px;
        margin-bottom: 80px;
    }

    /* image */
    #front-page-group-3 > :nth-child(1) {
        grid-column: 1 / 2;
        grid-row: 1 / 3;
        display: flex;
        align-items: center;
        justify-content: center;
        width: 65%;
    }

    /* headline */
    #front-page-group-3 > :nth-child(2) {
        grid-column: 2 / 3;
        grid-row: 1 / 2;
    }

    /* text */
    #front-page-group-3 > :nth-child(3) {
        grid-column: 2 / 3;
        grid-row: 2 / 3;
    }

    /* #front-page-group-1 > div {
        align-self: center;
        flex-basis: 25%;
        padding: 10px;
    } */

    /* Text and Map */
    #front-page-group-4 {
        margin-bottom: 80px;
    }
    
    #front-page-group-5 {
        margin-bottom: 80px;
    }

    #front-page-group-6 {
        display: flex;
        flex-direction: column;
        gap: 20px;
        padding-inline: 20px;
        margin-top: 80px;
    }
    
    #front-page-group-6 > :nth-child(1) {
        display: flex;
        flex-direction: column;
        gap: 20px;
    }

}






@media (min-width: 768px) {
    .is-style-front-page-text {
        font-size: 22px;
        font-weight: 400;
        line-height: 28px;
        letter-spacing: 0%;
    }

    .is-style-front-page-main-headline {
        font-size: 54px;
        font-weight: 900;
        line-height: 52px;
        letter-spacing: 0%;
    }

    .is-style-front-page-main-sub-headline {
        font-size: 19px;
        font-weight: 700;
        line-height: 22px;
        letter-spacing: 0%;
    }

    .is-style-front-page-headline-mid {
        font-size: 32px;
        font-weight: 900;
        line-height: 34px;
        letter-spacing: 0%;
    }
    
    .hide-on-desktop {
        display: none;
    }
    
    /* #front-page-logo-group {
        width: 600px;
        position: relative;
        left: 100%;
        transform: translate(-100%, 0);
    } */

    #front-page-group-1 {
        padding: 10px;
        display: inline-flex;
        justify-content: center;
        align-items: center;
        gap: 20px;
    }

    #front-page-group-1 img {
        width: 200px;
    }


    /* Group 1 and Video Group */
    #front-page-group-2 {
        display: flex;
        max-width: 80%;
        justify-content: center;
        gap: 40px;
        margin-bottom: 80px;
    }


    #id-info-card-animation-headline {
        width: 500px;
    }


    /* Group 3 - Logo and Text */
    #front-page-group-3 {
        display: grid;
        grid-template-columns: 1fr 10fr;
        grid-template-areas:
            "one two"
            ".   three";
        padding: 10px;
        gap: 1rem;
        width: 500px;
        margin-bottom: 80px;
    }

    #front-page-group-3 > figure {
        margin: 0;
    }

    /* image */
    #front-page-group-3 > :nth-child(1) {
        /* grid-column: 1 / 2; */
        /* grid-row: 1 / 3; */
        grid-area: one;
        width: 100%;
        display: flex;
        justify-content: end;
        margin: 0;
    }

    /* headline */
    #front-page-group-3 > :nth-child(2) {
        /* grid-column: 2 / 6; */
        /* grid-row: 1 / 2; */
        grid-area: two;
        display: inline;
        align-self: center;
        margin-left: 0 !important;
        width: 300px;
        color: var(--wp--preset--color--primary);
        padding-top: 10px;
    }

    /* text */
    #front-page-group-3 > :nth-child(3) {
        /* grid-column: 2 / 6; */
        /* grid-row: 2 / 3; */
        grid-area: three;
    }

    /* Text and Map */
    #front-page-group-4 {
        display: flex;
        justify-content: center;
        align-items: center;
        margin-bottom: 80px;
    }

    #front-page-group-5 {
        display: flex;
        justify-content: center;
        align-items: center;
        margin-bottom: 80px;
    }

    #front-page-group-5 > :nth-child(2) {
        padding-left: 0;
        padding-right: 0;
    }


    #front-page-group-6 {
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 40px;
        margin-top: 80px;
    }

    #front-page-group-6 > :nth-child(1) {
        flex: 1;
        display: flex;
        flex-direction: column;
        gap: 20px;
    }

    #front-page-group-6 > :nth-child(2) {
        flex: 1;
        height: 700px;
    }
}

